> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /ted/notices/search

> Search EU public procurement notices with full-text and structured filters

**Price:** 1 credit per 250 results



## OpenAPI

````yaml /openapi/gov-public-sector.json post /api/ted/notices/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/ted/notices/search:
    post:
      tags:
        - /ted
      summary: /ted/notices/search
      description: >-
        Search EU public procurement notices with full-text and structured
        filters


        **Price:** 1 credit per 250 results
      operationId: __api_ted_notices_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TedNoticesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TedNotice'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TedNoticesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        country:
          anyOf:
            - $ref: '#/components/schemas/TedCountry'
            - type: 'null'
        notice_type:
          anyOf:
            - $ref: '#/components/schemas/TedNoticeType'
            - type: 'null'
        procedure_type:
          anyOf:
            - $ref: '#/components/schemas/TedProcedureType'
            - type: 'null'
        cpv:
          anyOf:
            - type: string
            - type: 'null'
        published_from:
          anyOf:
            - type: string
            - type: 'null'
        published_to:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - query
        - count
    TedNotice:
      properties:
        '@type':
          type: string
          default: TedNotice
        id:
          type: string
        title_proc:
          anyOf:
            - type: string
            - type: 'null'
        title_lot:
          items:
            type: string
          type: array
          default: []
        published_at:
          anyOf:
            - type: string
            - type: 'null'
        countries:
          items:
            type: string
          type: array
          default: []
        buyer_name:
          anyOf:
            - type: string
            - type: 'null'
        buyer_country:
          anyOf:
            - type: string
            - type: 'null'
        notice_type:
          anyOf:
            - type: string
            - type: 'null'
        procedure_type:
          anyOf:
            - type: string
            - type: 'null'
        cpv_codes:
          items:
            type: string
          type: array
          default: []
        total_value:
          anyOf:
            - type: number
            - type: 'null'
        total_value_currency:
          anyOf:
            - type: string
            - type: 'null'
        deadline:
          anyOf:
            - type: string
            - type: 'null'
        winner_names:
          items:
            type: string
          type: array
          default: []
        winner_countries:
          items:
            type: string
          type: array
          default: []
        links:
          anyOf:
            - $ref: '#/components/schemas/TedNoticeLinks'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TedCountry:
      type: string
      enum:
        - AUT
        - BEL
        - BGR
        - HRV
        - CYP
        - CZE
        - DNK
        - EST
        - FIN
        - FRA
        - DEU
        - GRC
        - HUN
        - IRL
        - ITA
        - LVA
        - LTU
        - LUX
        - MLT
        - NLD
        - POL
        - PRT
        - ROU
        - SVK
        - SVN
        - ESP
        - SWE
        - NOR
        - ISL
        - LIE
        - CHE
        - GBR
    TedNoticeType:
      type: string
      enum:
        - cn-standard
        - cn-social
        - cn-desg
        - can-standard
        - can-social
        - can-desg
        - can-modif
        - pin-only
        - pin-buyer
        - pin-cfc-standard
        - pin-cfc-social
        - pin-rtl
        - veat
        - qu-sy
        - brin
        - subco
        - corr
    TedProcedureType:
      type: string
      enum:
        - open
        - restricted
        - neg-w-call
        - neg-wo-call
        - comp-dial
        - innovation
        - oth-single
        - oth-mult
    TedNoticeLinks:
      properties:
        '@type':
          type: string
          default: TedNoticeLinks
        xml:
          anyOf:
            - type: string
            - type: 'null'
        pdf:
          anyOf:
            - type: string
            - type: 'null'
        html:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````